package com.ruoyi.ngtools.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 天然气物性参数对象 ng_ngpar
 * 
 * @author ruoyi
 * @date 2025-02-09
 */
public class NgNgpar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private String id;

    /** 创建人名称 */
    @Excel(name = "创建人名称")
    private String createName;

    /** 更新人名称 */
    @Excel(name = "更新人名称")
    private String updateName;

    /** 气体摩尔组成 */
    @Excel(name = "气体摩尔组成")
    private String adMixture;

    /** 气体体积组成 */
    @Excel(name = "气体体积组成")
    private String adMixtureV;

    /** 气体质量组成 */
    @Excel(name = "气体质量组成")
    private String adMixtureD;

    /** 参比条件 */
    @Excel(name = "参比条件")
    private String dCbtj;

    /** 参比压力 */
    @Excel(name = "参比压力")
    private String dPb;

    /** 参比温度 */
    @Excel(name = "参比温度")
    private String dTb;

    /** 绝对压力 */
    @Excel(name = "绝对压力")
    private String dPf;

    /** 工况温度 */
    @Excel(name = "工况温度")
    private String dTf;

    /** 分子量 */
    @Excel(name = "分子量")
    private String dMrx;

    /** 标况压缩因子 */
    @Excel(name = "标况压缩因子")
    private String dZb;

    /** 工况压缩因子 */
    @Excel(name = "工况压缩因子")
    private String dZf;

    /** 超压缩系数 */
    @Excel(name = "超压缩系数")
    private String dFpv;

    /** 标况摩尔密度 */
    @Excel(name = "标况摩尔密度")
    private String dDb;

    /** 工况摩尔密度 */
    @Excel(name = "工况摩尔密度")
    private String dDf;

    /** 标况质量密度 */
    @Excel(name = "标况质量密度")
    private String dRhob;

    /** 工况质量密度 */
    @Excel(name = "工况质量密度")
    private String dRhof;

    /** 理想气体的相对密度 */
    @Excel(name = "理想气体的相对密度")
    private String drdIdeal;

    /** 真实气体的相对密度 */
    @Excel(name = "真实气体的相对密度")
    private String drdReal;

    /** 理想气体的比焓 */
    @Excel(name = "理想气体的比焓")
    private String dHo;

    /** 真实气体的焓 */
    @Excel(name = "真实气体的焓")
    private String dH;

    /** 真实气体的熵 */
    @Excel(name = "真实气体的熵")
    private String dS;

    /** 理想气体定压热容 */
    @Excel(name = "理想气体定压热容")
    private String dCpi;

    /** 定压热容 */
    @Excel(name = "定压热容")
    private String dCp;

    /** 定容积热容 */
    @Excel(name = "定容积热容")
    private String dCv;

    /** 比热比 */
    @Excel(name = "比热比")
    private String dk;

    /** 等熵指数 */
    @Excel(name = "等熵指数")
    private String dKappa;

    /** 声速 */
    @Excel(name = "声速")
    private String dSOS;

    /** 临界流函数 */
    @Excel(name = "临界流函数")
    private String dCstar;

    /** 摩尔高位发热量 */
    @Excel(name = "摩尔高位发热量")
    private String dHhvMol;

    /** 摩尔低位发热量 */
    @Excel(name = "摩尔低位发热量")
    private String dLhvMol;

    /** 体积高位发热量 */
    @Excel(name = "体积高位发热量")
    private String dHhvv;

    /** 体积低位发热量 */
    @Excel(name = "体积低位发热量")
    private String dLhvv;

    /** 质量高位发热量 */
    @Excel(name = "质量高位发热量")
    private String dHhvm;

    /** 质量地位发热量 */
    @Excel(name = "质量地位发热量")
    private String dLhvm;

    /** 标况压缩因子 */
    @Excel(name = "标况压缩因子")
    private String dZb11062;

    /** 标况质量密度 */
    @Excel(name = "标况质量密度")
    private String dRhob11062;

    /** 工况质量密度 */
    @Excel(name = "工况质量密度")
    private String dRhof11062;

    /** 理想气体的相对密度 */
    @Excel(name = "理想气体的相对密度")
    private String drdIdeal11062;

    /** 真实气体的相对密度 */
    @Excel(name = "真实气体的相对密度")
    private String drdReal11062;

    /** 真实气体的沃泊指数 */
    @Excel(name = "真实气体的沃泊指数")
    private String dWobbeIndex;

    /** 临界压力 */
    @Excel(name = "临界压力")
    private String dPc;

    /** 临界温度 */
    @Excel(name = "临界温度")
    private String dTC;

    /** 爆炸上限 */
    @Excel(name = "爆炸上限")
    private String dBzsx;

    /** 爆炸下限 */
    @Excel(name = "爆炸下限")
    private String dBzxx;

    /** 总炭含量(kg/m3) */
    @Excel(name = "总炭含量(kg/m3)")
    private String dTotalC;

    /** C2组分含量(kg/m3) */
    @Excel(name = "C2组分含量(kg/m3)")
    private String dC2;

    /** C2以上组分含量(kg/m3) */
    @Excel(name = "C2以上组分含量(kg/m3)")
    private String dC2j;

    /** C3以上组分含量(kg/m3) */
    @Excel(name = "C3以上组分含量(kg/m3)")
    private String dC3j;

    /** C4以上组分含量(kg/m3) */
    @Excel(name = "C4以上组分含量(kg/m3)")
    private String dC4j;

    /** C5以上组分含量(kg/m3) */
    @Excel(name = "C5以上组分含量(kg/m3)")
    private String dC5j;

    /** C6以上组分含量(kg/m3) */
    @Excel(name = "C6以上组分含量(kg/m3)")
    private String dC6j;

    /** C3C4组分含量(kg/m3) */
    @Excel(name = "C3C4组分含量(kg/m3)")
    private String dC3C4;

    /** 取样编号 */
    @Excel(name = "取样编号")
    private String sampleno;

    /** 仪表编号 */
    @Excel(name = "仪表编号")
    private String meterno;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setCreateName(String createName) 
    {
        this.createName = createName;
    }

    public String getCreateName() 
    {
        return createName;
    }
    public void setUpdateName(String updateName) 
    {
        this.updateName = updateName;
    }

    public String getUpdateName() 
    {
        return updateName;
    }
    public void setAdMixture(String adMixture) 
    {
        this.adMixture = adMixture;
    }

    public String getAdMixture() 
    {
        return adMixture;
    }
    public void setAdMixtureV(String adMixtureV) 
    {
        this.adMixtureV = adMixtureV;
    }

    public String getAdMixtureV() 
    {
        return adMixtureV;
    }
    public void setAdMixtureD(String adMixtureD) 
    {
        this.adMixtureD = adMixtureD;
    }

    public String getAdMixtureD() 
    {
        return adMixtureD;
    }
    public void setdCbtj(String dCbtj) 
    {
        this.dCbtj = dCbtj;
    }

    public String getdCbtj() 
    {
        return dCbtj;
    }
    public void setdPb(String dPb) 
    {
        this.dPb = dPb;
    }

    public String getdPb() 
    {
        return dPb;
    }
    public void setdTb(String dTb) 
    {
        this.dTb = dTb;
    }

    public String getdTb() 
    {
        return dTb;
    }
    public void setdPf(String dPf) 
    {
        this.dPf = dPf;
    }

    public String getdPf() 
    {
        return dPf;
    }
    public void setdTf(String dTf) 
    {
        this.dTf = dTf;
    }

    public String getdTf() 
    {
        return dTf;
    }
    public void setdMrx(String dMrx) 
    {
        this.dMrx = dMrx;
    }

    public String getdMrx() 
    {
        return dMrx;
    }
    public void setdZb(String dZb) 
    {
        this.dZb = dZb;
    }

    public String getdZb() 
    {
        return dZb;
    }
    public void setdZf(String dZf) 
    {
        this.dZf = dZf;
    }

    public String getdZf() 
    {
        return dZf;
    }
    public void setdFpv(String dFpv) 
    {
        this.dFpv = dFpv;
    }

    public String getdFpv() 
    {
        return dFpv;
    }
    public void setdDb(String dDb) 
    {
        this.dDb = dDb;
    }

    public String getdDb() 
    {
        return dDb;
    }
    public void setdDf(String dDf) 
    {
        this.dDf = dDf;
    }

    public String getdDf() 
    {
        return dDf;
    }
    public void setdRhob(String dRhob) 
    {
        this.dRhob = dRhob;
    }

    public String getdRhob() 
    {
        return dRhob;
    }
    public void setdRhof(String dRhof) 
    {
        this.dRhof = dRhof;
    }

    public String getdRhof() 
    {
        return dRhof;
    }
    public void setDrdIdeal(String drdIdeal) 
    {
        this.drdIdeal = drdIdeal;
    }

    public String getDrdIdeal() 
    {
        return drdIdeal;
    }
    public void setDrdReal(String drdReal) 
    {
        this.drdReal = drdReal;
    }

    public String getDrdReal() 
    {
        return drdReal;
    }
    public void setdHo(String dHo) 
    {
        this.dHo = dHo;
    }

    public String getdHo() 
    {
        return dHo;
    }
    public void setDH(String dH) 
    {
        this.dH = dH;
    }

    public String getDH() 
    {
        return dH;
    }
    public void setDS(String dS) 
    {
        this.dS = dS;
    }

    public String getDS() 
    {
        return dS;
    }
    public void setdCpi(String dCpi) 
    {
        this.dCpi = dCpi;
    }

    public String getdCpi() 
    {
        return dCpi;
    }
    public void setdCp(String dCp) 
    {
        this.dCp = dCp;
    }

    public String getdCp() 
    {
        return dCp;
    }
    public void setdCv(String dCv) 
    {
        this.dCv = dCv;
    }

    public String getdCv() 
    {
        return dCv;
    }
    public void setDk(String dk) 
    {
        this.dk = dk;
    }

    public String getDk() 
    {
        return dk;
    }
    public void setdKappa(String dKappa) 
    {
        this.dKappa = dKappa;
    }

    public String getdKappa() 
    {
        return dKappa;
    }
    public void setdSOS(String dSOS) 
    {
        this.dSOS = dSOS;
    }

    public String getdSOS() 
    {
        return dSOS;
    }
    public void setdCstar(String dCstar) 
    {
        this.dCstar = dCstar;
    }

    public String getdCstar() 
    {
        return dCstar;
    }
    public void setdHhvMol(String dHhvMol) 
    {
        this.dHhvMol = dHhvMol;
    }

    public String getdHhvMol() 
    {
        return dHhvMol;
    }
    public void setdLhvMol(String dLhvMol) 
    {
        this.dLhvMol = dLhvMol;
    }

    public String getdLhvMol() 
    {
        return dLhvMol;
    }
    public void setdHhvv(String dHhvv) 
    {
        this.dHhvv = dHhvv;
    }

    public String getdHhvv() 
    {
        return dHhvv;
    }
    public void setdLhvv(String dLhvv) 
    {
        this.dLhvv = dLhvv;
    }

    public String getdLhvv() 
    {
        return dLhvv;
    }
    public void setdHhvm(String dHhvm) 
    {
        this.dHhvm = dHhvm;
    }

    public String getdHhvm() 
    {
        return dHhvm;
    }
    public void setdLhvm(String dLhvm) 
    {
        this.dLhvm = dLhvm;
    }

    public String getdLhvm() 
    {
        return dLhvm;
    }
    public void setdZb11062(String dZb11062) 
    {
        this.dZb11062 = dZb11062;
    }

    public String getdZb11062() 
    {
        return dZb11062;
    }
    public void setdRhob11062(String dRhob11062) 
    {
        this.dRhob11062 = dRhob11062;
    }

    public String getdRhob11062() 
    {
        return dRhob11062;
    }
    public void setdRhof11062(String dRhof11062) 
    {
        this.dRhof11062 = dRhof11062;
    }

    public String getdRhof11062() 
    {
        return dRhof11062;
    }
    public void setDrdIdeal11062(String drdIdeal11062) 
    {
        this.drdIdeal11062 = drdIdeal11062;
    }

    public String getDrdIdeal11062() 
    {
        return drdIdeal11062;
    }
    public void setDrdReal11062(String drdReal11062) 
    {
        this.drdReal11062 = drdReal11062;
    }

    public String getDrdReal11062() 
    {
        return drdReal11062;
    }
    public void setdWobbeIndex(String dWobbeIndex) 
    {
        this.dWobbeIndex = dWobbeIndex;
    }

    public String getdWobbeIndex() 
    {
        return dWobbeIndex;
    }
    public void setdPc(String dPc) 
    {
        this.dPc = dPc;
    }

    public String getdPc() 
    {
        return dPc;
    }
    public void setdTC(String dTC) 
    {
        this.dTC = dTC;
    }

    public String getdTC() 
    {
        return dTC;
    }
    public void setdBzsx(String dBzsx) 
    {
        this.dBzsx = dBzsx;
    }

    public String getdBzsx() 
    {
        return dBzsx;
    }
    public void setdBzxx(String dBzxx) 
    {
        this.dBzxx = dBzxx;
    }

    public String getdBzxx() 
    {
        return dBzxx;
    }
    public void setdTotalC(String dTotalC) 
    {
        this.dTotalC = dTotalC;
    }

    public String getdTotalC() 
    {
        return dTotalC;
    }
    public void setdC2(String dC2) 
    {
        this.dC2 = dC2;
    }

    public String getdC2() 
    {
        return dC2;
    }
    public void setdC2j(String dC2j) 
    {
        this.dC2j = dC2j;
    }

    public String getdC2j() 
    {
        return dC2j;
    }
    public void setdC3j(String dC3j) 
    {
        this.dC3j = dC3j;
    }

    public String getdC3j() 
    {
        return dC3j;
    }
    public void setdC4j(String dC4j) 
    {
        this.dC4j = dC4j;
    }

    public String getdC4j() 
    {
        return dC4j;
    }
    public void setdC5j(String dC5j) 
    {
        this.dC5j = dC5j;
    }

    public String getdC5j() 
    {
        return dC5j;
    }
    public void setdC6j(String dC6j) 
    {
        this.dC6j = dC6j;
    }

    public String getdC6j() 
    {
        return dC6j;
    }
    public void setdC3C4(String dC3C4) 
    {
        this.dC3C4 = dC3C4;
    }

    public String getdC3C4() 
    {
        return dC3C4;
    }
    public void setSampleno(String sampleno) 
    {
        this.sampleno = sampleno;
    }

    public String getSampleno() 
    {
        return sampleno;
    }
    public void setMeterno(String meterno) 
    {
        this.meterno = meterno;
    }

    public String getMeterno() 
    {
        return meterno;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createName", getCreateName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateName", getUpdateName())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("adMixture", getAdMixture())
            .append("adMixtureV", getAdMixtureV())
            .append("adMixtureD", getAdMixtureD())
            .append("dCbtj", getdCbtj())
            .append("dPb", getdPb())
            .append("dTb", getdTb())
            .append("dPf", getdPf())
            .append("dTf", getdTf())
            .append("dMrx", getdMrx())
            .append("dZb", getdZb())
            .append("dZf", getdZf())
            .append("dFpv", getdFpv())
            .append("dDb", getdDb())
            .append("dDf", getdDf())
            .append("dRhob", getdRhob())
            .append("dRhof", getdRhof())
            .append("drdIdeal", getDrdIdeal())
            .append("drdReal", getDrdReal())
            .append("dHo", getdHo())
            .append("dH", getDH())
            .append("dS", getDS())
            .append("dCpi", getdCpi())
            .append("dCp", getdCp())
            .append("dCv", getdCv())
            .append("dk", getDk())
            .append("dKappa", getdKappa())
            .append("dSOS", getdSOS())
            .append("dCstar", getdCstar())
            .append("dHhvMol", getdHhvMol())
            .append("dLhvMol", getdLhvMol())
            .append("dHhvv", getdHhvv())
            .append("dLhvv", getdLhvv())
            .append("dHhvm", getdHhvm())
            .append("dLhvm", getdLhvm())
            .append("dZb11062", getdZb11062())
            .append("dRhob11062", getdRhob11062())
            .append("dRhof11062", getdRhof11062())
            .append("drdIdeal11062", getDrdIdeal11062())
            .append("drdReal11062", getDrdReal11062())
            .append("dWobbeIndex", getdWobbeIndex())
            .append("dPc", getdPc())
            .append("dTC", getdTC())
            .append("dBzsx", getdBzsx())
            .append("dBzxx", getdBzxx())
            .append("dTotalC", getdTotalC())
            .append("dC2", getdC2())
            .append("dC2j", getdC2j())
            .append("dC3j", getdC3j())
            .append("dC4j", getdC4j())
            .append("dC5j", getdC5j())
            .append("dC6j", getdC6j())
            .append("dC3C4", getdC3C4())
            .append("sampleno", getSampleno())
            .append("meterno", getMeterno())
            .toString();
    }
}
